registerOutputEvent(fxDtsBrick,"FindPlayersInRange","list All 0 Closest 1 Random 2" TAB "int 1 64 20",1);

function fxDtsBrick::FindPlayersInRange(%b,%set,%dist,%c)
{
	%str=getInRangePlayers(%b.getPosition(),%dist*0.5);
	switch(%set)
	{
		case 0:
			//All is ok
		case 1:
			%str=getWord(%str,0);
		case 2:
			%rnd=getRandom(1,getWordCount(%str))-1;
			%str=getWord(%str,%rnd);
		default:
			echo("FindEvent- Invalid Setting.");
	}
	%b.onFindPlayer(%c,%str);
}

function getInRangePlayers(%pos,%dist)
{
	%olist="";
	initContainerRadiusSearch(%pos,%dist,$TypeMasks::PlayerObjectType);
	while(isObject(%obj=containerSearchNext()))
	{
		%olist=%olist @ ((%olist $= "") ? "" : " ") @ %obj;
	}
	return %olist;
}

registerInputEvent("fxDTSBrick","onFindPlayer","Self fxDTSBrick" TAB "Player Player" TAB "Client GameConnection" TAB "TargetPlayer Player" TAB "TargetClient GameConnection");

function fxDTSBrick::onFindPlayer(%obj,%client,%str)
{
	$InputTarget_["Self"]	= %obj;
	$InputTarget_["Player"]	= %client.player;
	$InputTarget_["Client"]	= %client;
	%cnt=getWordCount(%str);
	for(%i=0;%i<%cnt;%i++)
	{
		$InputTarget_["TargetPlayer"]	= getWord(%str,%i);
		$InputTarget_["TargetClient"]	= getWord(%str,%i).client;
		%obj.processInputEvent("OnFindPlayer", %client);
	}
}